import java.util.TreeMap;

class Variable extends Terme {
    TreeMap<Character, Double> v;

    Variable(Character c) throws NotCharacterException {
        v = new TreeMap<Character, Double>();
        //TODO?: remove extragenous whitespace
        if (Character.isLetterOrDigit(c)) {
            v.put(c, 0.0); // we suppose the default variable value is 0
        } else {
            throw new NotCharacterException(c + " is not a character type");
        }
    }

    private boolean isVariable() {
        //FIXME: this cover more than latin alphabet
        return Character.isLetter(v.firstKey());
    }

    public double evaluer() {
        return 0.0;
    }
}
